Bug 1766668 - Netdata package doesn't support dbengine, the now default backend in the upstream code
Summary: Netdata package doesn't support dbengine, the now default backend in the upst...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: netdata
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Didier Fabert (tartare)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1759510 1767122 1767123
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-29 15:50 UTC by unixops
Modified: 2020-06-02 02:57 UTC (History)
1 user (show)

Fixed In Version: netdata-1.22.1-3.fc32 netdata-1.22.1-3.fc30 netdata-1.22.1-3.fc31 netdata-1.22.1-3.el8 netdata-1.22.1-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 03:12:33 UTC
Type: Bug


Attachments (Terms of Use)

Description unixops 2019-10-29 15:50:47 UTC
Description of problem:

The netdata rpm spec seems to be based on a old version which is quite different than the upstream one here https://raw.githubusercontent.com/netdata/netdata/master/netdata.spec.in .

Upstream version 1.18.1 now uses dbengine as the default memory mode, a feature which is not enabled at all in the epel package.  Could this rpm spec be updated to better reflect the default functionality of the upstream packages?

Version-Release number of selected component (if applicable):

1.18.1

How reproducible:

install package.  Edit /etc/netdata/netdata.conf and add the `memory mode = dbengine` line under `[global]`

Steps to Reproduce:
1. install package.
2. Edit /etc/netdata/netdata.conf and add the `memory mode = dbengine` line under `[global]`
3. restart netdata service

Actual results:

Logs show `netdata FATAL : MAIN :RRD_MEMORY_MODE_DBENGINE is not supported in this platform. # : No such file or directory`

Expected results:

netdata is enabled with dbengine backend.

Additional info:

Tested using 1.18.1 currently in epel-testing

Comment 1 Didier Fabert (tartare) 2019-10-29 18:15:26 UTC
dbengine cannot be enabled in epel8 for now because of missing dependencies. Some needed packages are not yet available: libuv-devel and Judy-devel.

I'm waiting (a little) before apply this modifications to all branches.

If you cannot wait, I built it with dbengine enabled in my copr: https://copr.fedorainfracloud.org/coprs/tartare/netdata/build/1081316/ for all fedora releases and epel6 and 7 (where I need to add an exception for epel8, which is not wanted for stable packages).

Comment 2 unixops 2019-10-29 19:28:12 UTC
Ah makes sense, thanks for the explanation.  You're right there are a bunch of -devel packages missing among others after a quick glance.  I will make use of the copr repo for now.

Comment 3 Didier Fabert (tartare) 2019-10-30 18:08:48 UTC
Blocked by:
Judy-devel: https://bugzilla.redhat.com/show_bug.cgi?id=1767122
libuv-devel: https://bugzilla.redhat.com/show_bug.cgi?id=1767123

Comment 4 Didier Fabert (tartare) 2019-11-05 07:00:01 UTC
Depends on epel issues:
* Judy-devel: https://pagure.io/epel/issue/92
* libuv-devel: https://pagure.io/epel/issue/64

Comment 5 Fedora Update System 2020-05-17 16:49:07 UTC
FEDORA-2020-aeb3b29305 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-aeb3b29305

Comment 6 Fedora Update System 2020-05-17 16:49:16 UTC
FEDORA-2020-4d87a62071 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d87a62071

Comment 7 Fedora Update System 2020-05-17 16:49:34 UTC
FEDORA-2020-c807d02b1f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c807d02b1f

Comment 8 Fedora Update System 2020-05-17 16:52:06 UTC
FEDORA-EPEL-2020-c3fca161ee has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c3fca161ee

Comment 9 Fedora Update System 2020-05-17 16:52:21 UTC
FEDORA-EPEL-2020-ff11142989 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ff11142989

Comment 10 Fedora Update System 2020-05-18 02:10:20 UTC
FEDORA-2020-aeb3b29305 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-aeb3b29305`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-aeb3b29305

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-18 03:11:45 UTC
FEDORA-2020-c807d02b1f has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c807d02b1f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c807d02b1f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-18 03:12:18 UTC
FEDORA-2020-4d87a62071 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4d87a62071`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d87a62071

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-18 03:38:28 UTC
FEDORA-EPEL-2020-c3fca161ee has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c3fca161ee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-18 03:39:18 UTC
FEDORA-EPEL-2020-ff11142989 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ff11142989

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-26 03:12:33 UTC
FEDORA-2020-aeb3b29305 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-05-26 03:17:58 UTC
FEDORA-2020-c807d02b1f has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-05-26 03:20:23 UTC
FEDORA-2020-4d87a62071 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-06-02 00:37:26 UTC
FEDORA-EPEL-2020-c3fca161ee has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-06-02 02:57:26 UTC
FEDORA-EPEL-2020-ff11142989 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.